pandoc-2.5: Conversion between markup formats

Copyright | Copyright (C) 2006-2018 John MacFarlane
License | GNU GPL, version 2 or above
Maintainer | John MacFarlane <jgm@berkeley.edu>
Stability | alpha
Portability | portable
Safe Haskell | None
Language | Haskell2010

Text.Pandoc.Readers.Markdown

Description

Conversion of markdown-formatted plain text to `Pandoc` document.

Synopsis

- readMarkdown :: PandocMonad m => ReaderOptions -> Text -> m Pandoc
- yamlToMeta :: PandocMonad m => ByteString -> m Meta

# Documentation

readMarkdown Source #

Arguments

:: PandocMonad m |
=> ReaderOptions | Reader options
-> Text | String to parse (assuming `'\n'` line endings)
-> m Pandoc |

Read markdown from an input string and return a Pandoc document.

yamlToMeta :: PandocMonad m => ByteString -> m Meta Source #

Read a YAML string and convert it to pandoc metadata. String scalars in the YAML are parsed as Markdown.